# AnyKernel2 Ramdisk Mod Script
# osm0sis @ xda-developers

## AnyKernel setup
properties() {
kernel.string=hellsgate by Kranoner
} # end properties

# shell variables
block=/dev/block/bootdevice/by-name/boot;
is_slot_device=0;
ramdisk_compression=auto;

## AnyKernel methods (DO NOT CHANGE)
# import patching functions/variables - see for reference
. /tmp/anykernel/tools/ak2-core.sh;


## AnyKernel file attributes
# set permissions/ownership for included ramdisk files
chmod -R 750 $ramdisk/*;
chown -R root:root $ramdisk/*;

## Alert of unsupported Android version
android_ver=$(mount /system; grep "^ro.build.version.release" /system/build.prop | cut -d= -f2; umount /system);
case "$android_ver" in
  "6.0"|"6.0.1"|"7.0"|"7.1"|"7.1.1"|"7.1.2") compatibility_string="your version is unsupported, expect no support from the kernel developer!";;
  "8.0.0"|"8.1.0") compatibility_string="your version is supported!";;
esac;

ui_print "Android $android_ver detected, $compatibility_string";

## AnyKernel install
dump_boot;

# begin ramdisk changes

# Delete /system fstab mount (it's mounted in the kernel now)
remove_line fstab.qcom "/dev/block/bootdevice/by-name/system"

# end ramdisk changes

write_boot;

## end install

